# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define	section		free

Name:		xapool
Summary:	XAPOOL: open source XA Pool
Url:		http://xapool.experlog.com/
Version:	1.5.0
Release:	2%{?dist}
Epoch:		0
License:	LGPL
Group:		Development/Libraries/Java
BuildArch:	noarch
Source0:	xapool-%{version}-src.tgz
Source1:        http://repo1.maven.org/maven2/com/experlog/xapool/1.5.0/xapool-1.5.0.pom
Patch0:         xapool-build.patch
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:	ant >= 0:1.6.5
BuildRequires:  junit
BuildRequires:  carol
BuildRequires:  jakarta-commons-logging
BuildRequires:  jotm
BuildRequires:  jta_1_0_1B_api
BuildRequires:  log4j
BuildRequires:  p6spy
Requires:  java >= 0:1.5.0
Requires:  carol
Requires:  jakarta-commons-logging
Requires:  jotm
Requires:  log4j
Requires:  p6spy
Requires(post):   jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
XAPool is an open source XA Pool !
It allows to pool objects, JDBC connections 
and XA connections 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;
%patch0 -b .sav0

%build
pushd externals
#jonas_timer.jar
ln -sf $(build-classpath carol/ow_carol) .
#ln -sf $(build-classpath oracle-jdbc-thin) classes12.jar
ln -sf $(build-classpath commons-logging) .
#ln -sf $(build-classpath idb) .
ln -sf $(build-classpath jotm/jotm) .
ln -sf $(build-classpath jotm/jrmp-stubs) jotm_jrmp_stubs.jar
ln -sf $(build-classpath jta_1_0_1B_api) jta-spec1_0_1.jar
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath p6spy) .
popd

ant

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 output/dist/lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
%add_to_maven_depmap com.experlog %{name} %{version} JPP %{name}
# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Wed Mar 18 2009 Ralph Apel <r.apel@r-apel.de> 0:1.5.0-2.jpp5
- First JPP-1.5 release

* Fri Mar 10 2006 Fernando Nasser <fnasser@redhat.com> 0:1.5.0-1jpp
- Update to 1.5
- First JPP 1.7 build

* Mon Oct 04 2004 Ralph Apel <r.apel at r-apel.de> 0:1.4-1jpp
- First release

